Loading...
Searching...
No Matches
drttypes.h File Reference

type definitions, constants and helper functions for the dcmrt module More...

## Classes

class | DRTTypes
| General purpose class hiding global functions, constants and types from the global namespace. More...

## Variables

specific error conditions for module dcmrt.
These error codes can be used in addition to the general purpose codes defined in module dcmdata.
DCMTK_DCMRT_EXPORT const OFConditionConst | RT_EC_InvalidValue
| error: a value is invalid according to the standard
DCMTK_DCMRT_EXPORT const OFConditionConst | RT_EC_UnsupportedValue
| error: a value is not supported by this implementation
DCMTK_DCMRT_EXPORT const OFConditionConst | RT_EC_InvalidObject
| error: the object is invalid, see isValid() method in IOD class

## Detailed Description

type definitions, constants and helper functions for the dcmrt module

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0